#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QWidget>
#include <QTimer>

namespace Ui {
class SettingsWidget;
}

class LegacyApp;

class SettingsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SettingsWidget(LegacyApp *_app, QWidget *parent = 0);
    ~SettingsWidget();

private slots:
    void updateUI();

    void on_download_restrict_slider_valueChanged(int value);

    void on_interface_scale_combobox_common_currentIndexChanged(const QString &arg1);

    void on_change_folder_button_clicked();

    void on_data_protection_checkbox_common_stateChanged(int arg1);

    void on_restore_checkbox_common_stateChanged(int arg1);

    void on_download_updates_checkbox_common_stateChanged(int arg1);

    void on_expert_tabs_checkbox_common_stateChanged(int arg1);

    void on_restrict_download_speed_checkbox_common_stateChanged(int arg1);

    void on_lotro_patch_language_combobox_common_activated(int index);

private:
    Ui::SettingsWidget *ui;
    LegacyApp *app;
    QTimer ui_update_timer;
};

#endif // SETTINGSWIDGET_H
